# valuedescset.cpp File Reference

Template File. More...

`#include "layerparamset.h"`
`#include "valuenodeconstset.h"`
`#include "valuedescconnect.h"`
`#include "waypointsetsmart.h"`
`#include "valuedescset.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfig/valuenode_composite.h>`
`#include <synfig/valuenode_radialcomposite.h>`
`#include <synfig/valuenode_reference.h>`
`#include <synfigapp/main.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT_NO_GET_LOCAL_NAME (Action::ValueDescSet)
| ACTION_SET_NAME (Action::ValueDescSet,"ValueDescSet")
| ACTION_SET_LOCAL_NAME (Action::ValueDescSet, N_("Set ValueDesc"))
| ACTION_SET_TASK (Action::ValueDescSet,"set")
| ACTION_SET_CATEGORY (Action::ValueDescSet, Action::CATEGORY_VALUEDESC)
| ACTION_SET_PRIORITY (Action::ValueDescSet, 0)
| ACTION_SET_VERSION (Action::ValueDescSet,"0.0")
| ACTION_SET_CVS_ID (Action::ValueDescSet,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT_NO_GET_LOCAL_NAME | ( | Action::ValueDescSet |  | ) |

ACTION_SET_NAME | ( | Action::ValueDescSet | ,
|  | "ValueDescSet" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::ValueDescSet | ,
|  | N_("Set ValueDesc") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::ValueDescSet | ,
|  | "set" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::ValueDescSet | ,
|  | Action::CATEGORY_VALUEDESC |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::ValueDescSet | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::ValueDescSet | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::ValueDescSet | ,
|  | "$Id$" |  |
| ) |  |  |